### Function

# Gtk show_uri

deprecated: 4.10 since: 4.0

#### Declaration [src]

    void
    gtk_show_uri (
      GtkWindow* parent,
      const char* uri,
      guint32 timestamp
    )

#### Description [src]

This function launches the default application for showing a given uri, or shows an error dialog if that fails.

Available since: 4.0

Deprecated since: 4.10

Use `gtk_file_launcher_launch()` or `gtk_uri_launcher_launch()` instead.

#### Parameters

`parent`

  Type: `GtkWindow`

  Parent window.

  The argument can be `NULL`.
  The data is owned by the caller of the function.

`uri`

  Type: `const char*`

  The uri to show.

  The data is owned by the caller of the function.
  The value is a NUL terminated UTF-8 string.

`timestamp`

  Type: `guint32`

  Timestamp from the event that triggered this call, or `GDK_CURRENT_TIME`.